from cpl_core.console.console import Console
from cpl_query.extension.list import List
from lexer.model.token import Token
from parser.abc.ast_abc import AST
from parser.abc.parser_abc import ParserABC


class ParserService(ParserABC):

    def __init__(self):
        pass

    def create_ast(self, tokens: List[Token]) -> List[AST]:
        for i in range(0, tokens.count()):
            prev_token = tokens[i-1] if i-1 > 0 else None
            token = tokens[i]
            next_token = tokens[i+1] if i+1 < tokens.count() else None
            
            Console.write_line(token)
