from abc import ABC, abstractmethod


class RuntimeServiceABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @property
    @abstractmethod
    def line_count(self) -> int: pass

    @line_count.setter
    @abstractmethod
    def line_count(self, line_count: int): pass
